<?php

namespace AppBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\TextareaType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;



class ProfileType extends AbstractType
{
    /**
     * @param FormBuilderInterface $builder
     * @param array $options
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('firstname', TextType::class, array(
                'label'    => 'form.label_firstname',
                'required' => true
            ))
            ->add('lastname', TextType::class, array(
                'label'    => 'form.label_lastname',
                'required' => true
            ))
            ->add('biography', TextareaType::class, array(
                'label'    => 'form.label_biography',
                'required' => true
            ));
    }

    /**
     * @param OptionsResolver $resolver
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'AppBundle\Entity\User',
            'intention'  => 'profile',
            'label' => 'Edit Profile'
        ));
    }

    /**
     * @return string
     */
    public function getName()
    {
        return 'mava_user_profile';
    }
}